// Assignment 2
// Total number of processes = 8 (nodes=1, ppn=8)
// Summation of array 

#include <stdio.h>
#include "mpi.h"
#define N 10

int main (int argc, char *argv[])
{

  int rank, size, color, i;
  int arr[N], sum_arr[N];
  MPI_Status status;

  MPI_Init (&argc, &argv);
  MPI_Comm_rank (MPI_COMM_WORLD, &rank);
  MPI_Comm_size (MPI_COMM_WORLD, &size);

  for (i=0; i<N; i++)
    arr[i] = rand();

  MPI_Reduce (arr, sum_arr, N, MPI_INT, MPI_SUM, 0, MPI_COMM_WORLD);
  
  if (rank == 0)
   for (i=0; i<N; i++)
    printf ("%d\n", arr[i]);

  MPI_Finalize();
  return 0;

}

