// nodes=1, ppn=8

#include <stdio.h>
#include <string.h>
#include "mpi.h"

int main( int argc, char *argv[])
{

  int rank, size, color, i;
  MPI_Status status;

  MPI_Init (&argc, &argv);
  MPI_Comm_rank (MPI_COMM_WORLD, &rank);
  MPI_Comm_size (MPI_COMM_WORLD, &size);

  color = rank + 2;

  int colors[size];
  MPI_Gather (&color, 1, MPI_INT, colors, 1, MPI_INT, 0, MPI_COMM_WORLD);

  if (rank == 0)
   for (i=0; i<size; i++)
    printf ("color from %d = %d\n", i, colors[i]);

  MPI_Finalize();
  return 0;

}


